
Foreman - Bug #16166

rubocop raises offences for files under node_modules/

08/18/2016 09:04 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Tests   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3743

  

Description

rubocop is scanning the node_modules directory, which contains a bit of Ruby code raising a style offence:

Offenses:

node_modules/jquery-ujs/test/server.rb:57:25: C: Avoid using {...} for multi-line blocks.

  send(method, '/echo') {

Associated revisions

Revision bdd9d608 - 08/18/2016 10:16 AM - Dominic Cleal

fixes #16166 - exclude node_modules/ directory from rubocop

History

#1 - 08/18/2016 09:07 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3743 added

#2 - 08/18/2016 11:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bdd9d608176c27447d6ed1927c9a20ec41d9267d.

#3 - 08/19/2016 07:10 AM - Dominic Cleal

- translation missing: en.field_release set to 160
